﻿using SoftwareInstallationContracts.BindingModels;
using SoftwareInstallationContracts.SearchModels;
using SoftwareInstallationContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.StoragesContracts
{
    public interface IComponentStorage
    {
        List<ViewModels.ComponentViewModel> GetFullList();
        List<ViewModels.ComponentViewModel> GetFilteredList(ComponentSearchModel model);
        ViewModels.ComponentViewModel? GetElement(ComponentSearchModel model);
        ViewModels.ComponentViewModel? Insert(ComponentBindingModel model);
        ViewModels.ComponentViewModel? Update(ComponentBindingModel model);
        ViewModels.ComponentViewModel? Delete(ComponentBindingModel model);
    }
}
